io.vertx.rxjava3.ext.auth.oauth2

## Class KeycloakHelper

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.oauth2.KeycloakHelper

-     public class KeycloakHelper
      extends Object

  Helper class for processing Keycloak principal.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<KeycloakHelper>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakHelper(KeycloakHelper delegate)`
    `KeycloakHelper(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonObject` | `accessToken(JsonObject principal)` Deprecated.
    `static String` | `acr(JsonObject principal)` Deprecated.
    `static Set<String>` | `allowedOrigins(JsonObject principal)` Deprecated.
    `static int` | `authTime(JsonObject principal)` Deprecated.
    `static String` | `email(JsonObject principal)` Deprecated.
    `boolean` | `equals(Object o)`
    `KeycloakHelper` | `getDelegate()`
    `int` | `hashCode()`
    `static JsonObject` | `idToken(JsonObject principal)` Deprecated.
    `static String` | `name(JsonObject principal)` Deprecated.
    `static KeycloakHelper` | `newInstance(KeycloakHelper arg)`
    `static String` | `nickName(JsonObject principal)` Deprecated.
    `static JsonObject` | `parseToken(String token)` Deprecated.
    `static String` | `preferredUsername(JsonObject principal)` Deprecated.
    `static String` | `rawAccessToken(JsonObject principal)` Deprecated.
    `static String` | `rawIdToken(JsonObject principal)` Deprecated.
    `static String` | `sessionState(JsonObject principal)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KeycloakHelper> __TYPE_ARG

  - ### Constructor Detail

    - #### KeycloakHelper

          public KeycloakHelper(KeycloakHelper delegate)

    - #### KeycloakHelper

          public KeycloakHelper(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KeycloakHelper getDelegate()

    - #### rawIdToken

          @Deprecated
          public static String rawIdToken(JsonObject principal)

      Deprecated.
      Get raw `id_token` string from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the raw id token string

    - #### idToken

          @Deprecated
          public static JsonObject idToken(JsonObject principal)

      Deprecated.
      Get decoded `id_token` from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the id token

    - #### rawAccessToken

          @Deprecated
          public static String rawAccessToken(JsonObject principal)

      Deprecated.
      Get raw `access_token` string from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the raw access token string

    - #### accessToken

          @Deprecated
          public static JsonObject accessToken(JsonObject principal)

      Deprecated.
      Get decoded `access_token` from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the access token

    - #### authTime

          @Deprecated
          public static int authTime(JsonObject principal)

      Deprecated.

    - #### sessionState

          @Deprecated
          public static String sessionState(JsonObject principal)

      Deprecated.

    - #### acr

          @Deprecated
          public static String acr(JsonObject principal)

      Deprecated.

    - #### name

          @Deprecated
          public static String name(JsonObject principal)

      Deprecated.

    - #### email

          @Deprecated
          public static String email(JsonObject principal)

      Deprecated.

    - #### preferredUsername

          @Deprecated
          public static String preferredUsername(JsonObject principal)

      Deprecated.

    - #### nickName

          @Deprecated
          public static String nickName(JsonObject principal)

      Deprecated.

    - #### allowedOrigins

          @Deprecated
          public static Set<String> allowedOrigins(JsonObject principal)

      Deprecated.

    - #### parseToken

          @Deprecated
          public static JsonObject parseToken(String token)

      Deprecated.
      Parse the token string with base64 decoder. This will only obtain the "payload" part of the token.
      Parameters:
        `token` - token string
      Returns:
        token payload json object

    - #### newInstance

          public static KeycloakHelper newInstance(KeycloakHelper arg)

Copyright © 2021 Eclipse. All rights reserved.